Mail archive
alpine-aports

[alpine-aports] [PATCH 3/6] main/wpa_supplicant: install gui files in gui subpackage function

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sun, 18 Oct 2015 23:51:38 +0200

---
 main/wpa_supplicant/APKBUILD | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)
diff --git a/main/wpa_supplicant/APKBUILD b/main/wpa_supplicant/APKBUILD
index ae7f337..375bc70 100644
--- a/main/wpa_supplicant/APKBUILD
+++ b/main/wpa_supplicant/APKBUILD
_at_@ -142,11 +142,6 @@ package() {
 	done
 	install -Dm755 eapol_test "$pkgdir"/sbin/eapol_test || return 1
 
-	# gui
-	install -d "$pkgdir"/usr/bin
-	install -m 0755 wpa_gui-qt4/wpa_gui "$pkgdir"/usr/bin/wpa_gui \
-		|| return 1
-
 	# dbus
 	cd dbus || return 1
 	install -d "$pkgdir"/etc/dbus-1/system.d
_at_@ -164,8 +159,8 @@ package() {
 
 gui() {
 	pkgdesc="Grafical User Interface for $pkgname"
-	mkdir -p "$subpkgdir"/usr/bin
-	mv "$pkgdir"/usr/bin/wpa_gui "$subpkgdir"/usr/bin/
+	install -Dm0755 "$_builddir"/$pkgname/wpa_gui-qt4/wpa_gui \
+		"$subpkgdir"/usr/bin/wpa_gui || return 1
 }
 
 md5sums="f0037dbe03897dcaf2ad2722e659095d  wpa_supplicant-2.4.tar.gz
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Oct 18 2015 - 23:51:38 GMT